import React from 'react';
import { Spin } from 'antd';
import HtmlTitle from './components/HtmlTitle';
// import Main from './Main';
import withLogin from './withLogin';
const RequireLogin = React.lazy(() => withLogin(import('./Main')));

const Spinner = () => (
  <div style={{ width: '100%', height: '100%', display: 'grid', placeItems: 'center' }}>
    <Spin />
  </div>
)

export default (props) => {
  return (
    <>
      <HtmlTitle />
      <React.Suspense fallback={<Spinner />}>
        <RequireLogin />
      </React.Suspense>
    </>
  );
}
